## org.exist.client.xacml
Interface PolicyElementContainer

All Superinterfaces:
  NodeChangeListener, NodeContainer, XACMLTreeNode

All Known Implementing Classes:
  AbstractPolicyNode, RootNode

public interface PolicyElementContainer
extends NodeContainer

Method Summary
`void` `add(int index, PolicyElementNode node)`
`void` `add(int index, com.sun.xacml.PolicyTreeElement element)`
`void` `add(PolicyElementNode node)`
`void` `add(com.sun.xacml.PolicyTreeElement element)`
`boolean` `containsId(java.lang.String id)`
`void` `remove(PolicyElementNode node)`

Methods inherited from interface org.exist.client.xacml.NodeContainer
`getChild, getChildCount, indexOfChild`

Methods inherited from interface org.exist.client.xacml.NodeChangeListener
`nodeAdded, nodeChanged, nodeRemoved`

Methods inherited from interface org.exist.client.xacml.XACMLTreeNode
`commit, getParent, isModified, revert, serialize, setModified`

Method Detail

### add

    public void add(PolicyElementNode node)

### add

    public void add(int index,
                    PolicyElementNode node)

### add

    public void add(com.sun.xacml.PolicyTreeElement element)

### add

    public void add(int index,
                    com.sun.xacml.PolicyTreeElement element)

### remove

    public void remove(PolicyElementNode node)

### containsId

    public boolean containsId(java.lang.String id)

Copyright (C) Wolfgang Meier. All rights reserved.